Create Resident Credit: Propertyware REST

Create Resident Credit: Propertyware REST | Method | Interface | |---|---| | POST /v1/leases/adjustments | Leases | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
lease_idstringRequired
The Propexo unique identifier for the lease
amount_in_centsintegerRequired>=0
The amount of the resident charge, in cents. This value is required to be positive, but is given to Propertyware as a negative
transaction_datestringRequired
The transaction date of the resident charge
descriptionstringOptional
Description of the resident charge
reference_numberstringOptional
The reference number for the resident charge

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error